#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club
#ympd-plus.sh
M_HOME=/var/lib/mpd/music

# copy NAS.jpg to NAS directory
if [ ! -e $M_HOME/NAS/folder.jpg ]; then
  mount $M_HOME/NAS -o remount,rw
  cp $M_HOME/NAS.jpg $M_HOME/NAS/folder.jpg
  cp $M_HOME/NAS/folder.jpg $M_HOME/NAS/Folder.jpg
  cp $M_HOME/NAS/folder.jpg $M_HOME/NAS/cover.jpg
  mount $M_HOME/NAS -o remount,ro
fi

# copy RADIO.jpg to RADIO directory
if [ ! -e $M_HOME/RADIO/folder.jpg ]; then
  cp $M_HOME/RADIO.jpg $M_HOME/RADIO/folder.jpg
  ln -s $M_HOME/RADIO/folder.jpg $M_HOME/RADIO/Folder.jpg
  ln -s $M_HOME/RADIO/folder.jpg $M_HOME/RADIO/cover.jpg
fi

#copy RAM.jpg to RAM directory
if [ ! -e $M_HOME/RAM/folder.jpg ]; then
  cp $M_HOME/RAM.jpg $M_HOME/RAM/folder.jpg
  ln -s $M_HOME/RAM/folder.jpg $M_HOME/RAM/Folder.jpg
  ln -s $M_HOME/RAM/folder.jpg $M_HOME/RAM/cover.jpg
fi

#copy webui.cfg to /etc
if [ ! -e /etc/webui.cfg ]; then
  if [ -e /opt/plugins/04-webui/webui.cfg ]; then
    mv /opt/plugins/04-webui/webui.cfg /etc
  else
    cp /etc/webui.cfg.org /etc/webui.cfg
  fi
fi

#make symbolic link to added plugin
if [ ! -e /opt/plugins/attach/04-webui ] && [ ! -e /opt/plugins/detach/04-webui ]; then
  cd /opt/plugins/attach
  ln -s ../04-webui 04-webui
fi
if [ ! -e /opt/plugins/attach/05-stats ] && [ ! -e /opt/plugins/detach/05-stats ]; then
  cd /opt/plugins/attach
  ln -s ../05-stats 05-stats
fi
